# SafariNet
# Features
* 1.8 through 1.15 compatibility
* BungeeCord compatibility
* Support for modpack mobs
* Saves the whole entity data, including villager trades, chest content in mules, health, sheep color etc.
* Singleuse and reusable eggs
* Mob Spawning through dispensers or right clicking
* Configurable crafting recipes
* Permission Nodes for Spawn Egg Crafting (Reusable and Single-Use Spawn Eggs)
* Change spawner type with SafariNets
* Charge player for catching certain mobs
* Set catching chances for certain mobs

**SafariNet supports the following plugins: WorldGuard, GriefPrevention, MyPet, PlotSquared, MythicMob, and Citizens!**

![](/media/safarinet_empty.PNG)
![](/media/safarinet_pre-capture.PNG)
![](/media/safarinet_captured.PNG)
# Installation

1. Download the SafariNet plugin [here](https://www.spigotmc.org/resources/safarinet-capture-mobs-using-pok%C3%A9balls.9732/).
2. Place the SafariNet.jar file into your server's plugin folder.
3. Restart your server (Using the /Reload command is not recommended!)

# Permissions
* safarinet.craft.singleuse - Allows crafting of singleuse eggs
* safarinet.craft.reusable - Allows crafting of reusable eggs

#Safarinet has multiple permissions to control who can catch what mobs.


* safarinet.use - Permission used to allow both release and capturing of mobs.
* safarinet.release.(mob) - Permission to release (mob). - Toggleable in config
* safarinet.capture.(mob) - Permission to capture (mob). - Toggleable in config

Safarinet holds 2 more permissions safarinet.releasemob.use and safarinet.capturemob.use.
These 2 permissions can be used instead of safarinet.use to allow everyone to release mobs while allowing only a donator rank(or other) to capture them.

# Settings
* Similar to permissions there are settings to regulate permissions too.
* To allow everyone to craft eggs regardless of permission set: **use-permission-for-crafting: true** to false.(Default false)
* per-mob-permissions(Default false) regelates wether permission is required to capture that mob. Setting this to true means you need safarinet.catch.sheep to catch a sheep while keeping/setting it false means those with permission to capture/release([here](https://docs.spaceio.xyz/#/docs/plugins/safarinet?id=permissions)) to do so regardless of the mob in question.
* To disable a world from egg usages simply add your worlds name to 
disabled-worlds:
- your world.

* Same goes for mobs and names of mobs under "blacklist" and "blacklist-by-name" respectivly.
* We've spend extra time making sure every message important to the user is configurable.
* This saves us making language files while giving you the option to translate them to your own language.

## Spawners
Your users might want to change spawner types by right-clicking with SafariNets. This works by giving them the following permission(s): `safarinet.changespawnertype.primitiv.<entity-type>`

# Crafting
* In the default config a section is dedicated to every egg type(singleuse/reusable).
* In this section you can alter what recipes(if the egg is enabled) are required to make the respective eggs.
* Since we support 1.8 through 1.14(latest) not all names may work.
* Older versions(1.8-1.12.2) depending on the plugin version they use, may need LEGACY_ to make that item work.
* 1.13-1.14.x support every block/item for their version as they are.
**Singleuse Egg Recipe**(Default)
![](/media/safarinet_singleuse.png)

**Reusable Egg Recipe(Default)**
![](/media/safarinet_reusable.png)

# Commands
* Main command: /safarinet
* alias: /sn
* Sub command:
- reload *Reloads the configurations and recipes.*
- recipe (singleuse/reusable) *Shows the layout and items required to craft that egg*
- give (player) (singleuse/reusable) [amount] *Gives 1 or multiple (egg type) to the (player). **Note: Eggs disabled won't work.**

# FAQ
- Q: Does this plugin work with x plugin?
- A: Above are plugins it supports. Unlisted plugins(such as askyblock acidisland etc) may work by default but are untested by the dev team.

# TroubleShooting
- With 1.14 being different the default configuration file had to be changed, this may cause issues on older versions. Since 1.13.x configuration file did not work properly with 1.14 so needed an update. If you find yourself in a case where it does not work on your version properly, simply try renaming the items, for instance: LEGACY_ENDER_EYE to get it working for version below 1.14.

- When you found a strange behaviour make sure to remove op status and if used the * perm aswell. Than only add the safarinet permission nodes to your server/person, while making sure the perms used are enabled as per config(i.e permission per mob).
